Subject: Re: bug#12848: 24.2.50; Doc: give an example for a typical entry of `display-buffer-alist'

From: martin rudalics <[email-masked]>
Date: Fri, 16 Nov 2012 16:32:30 +0100

> `display-buffer-alist' entries are quite complex.  OTOH, it's not
> uncommon that a typical user might need it.  We should give an example
> entry, somewhere.
> 
> Today, I thought: "I want that *Help* is always displayed in a new frame
> when it is not already displayed anywhere".  It took some
> time to figure out what was needed:
> 
> (add-to-list
>  'display-buffer-alist
>  '("\\`\\*Help\\*\\'" . ; make *Help* pop up in a new frame when not already displayed
>    ((display-buffer-reuse-window display-buffer-pop-up-frame) .
>     ((reusable-frames . t)))))
> 
> I think something like that should be included as an example somewhere
> in the docs - maybe in the documentation of `display-buffer-alist'
> itself, maybe in the manual.

I tried to provide an example in revision 110885 on the
Emacs-24 release branch.  Please have a look.

Thanks, martin